### Method

# Hinoko FwIsoIrSingle get_payload

since: 0.7

#### Declaration [src]

    void
    hinoko_fw_iso_ir_single_get_payload (
      HinokoFwIsoIrSingle* self,
      guint index,
      const guint8** payload,
      guint* length
    )

#### Description [src]

Retrieve payload of IR context for a handled packet corresponding to index at the event of interrupt.

Available since: 0.7

#### Parameters

`index`

  Type: `guint`

  The index inner available packets at the event of interrupt.

`payload`

  Type: An array of `guint8`

  The array with data frame for payload of IR context.

  The argument will be set by the function.
  The length of the array is specified in the `length` argument.
  The returned data is owned by the instance.

`length`

  Type: `guint*`

  The number of bytes in the above payload.

  The argument will be set by the function.